/*
 *  Context.cpp
 *  Restructured Dijkstra in C++
 *
 *  Created by James Coplien on 11/26/11.
 *  Copyright 2011 Gertrud & Cope. All rights reserved.
 *
 */

#include "Context.h"

Context::Context(void) {
	parentContext_ = currentContext_;
	currentContext_ = this;
}

Context::~Context() {
	currentContext_ = parentContext_;
}

Context *Context::currentContext_ = 0;


